import type { FocusableElement, HideErrorPropType, IdPropType, InputRangeAPI, InputRangeStates, InputTypeOnDefault, InputTypeOnOff, KoliBriHorizontalIcons, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputRange implements InputRangeAPI, FocusableElement {
    private readonly host?;
    private refInputNumber?;
    private refInputRange?;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    private readonly catchInputNumberRef;
    private readonly catchInputRangeRef;
    private getSanitizedFloatValue;
    getValue(): Promise<number | undefined>;
    private readonly onChange;
    private readonly onKeyDown;
    componentDidLoad(): void;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _autoComplete?: InputTypeOnOff;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: Stringified<KoliBriHorizontalIcons>;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _max?: number;
    _min?: number;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _shortKey?: ShortKeyPropType;
    _step?: number;
    _suggestions?: SuggestionsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: number;
    state: InputRangeStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAlert(value?: boolean): void;
    validateAutoComplete(value?: InputTypeOnOff): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHideLabel(value?: boolean): void;
    validateHint(value?: string): void;
    validateIcons(value?: Stringified<KoliBriHorizontalIcons>): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMax(value?: number): void;
    validateMin(value?: number): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateStep(value?: number): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: number): void;
    componentWillLoad(): void;
}
